跳转到主要内容
资源中心/硬件设施/主存储相关接口/本地存储相关接口
GETLocal Storage Operations起始版本 0.6同步需要认证

获取主机本地存储容量

获取主机本地存储容量

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • primaryStorageUuidString必填

    主存储UUID

查询参数

  • hostUuidString

    物理机UUID

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • hostUuidString必填

      物理机UUID

    • totalCapacitylong必填

      总容量。

    • availableCapacitylong必填

      可用容量。

    • totalPhysicalCapacitylong必填

      总物理容量。

    • availablePhysicalCapacitylong必填

      可用物理容量。

请求地址

GET/zstack/v1/primary-storage/local-storage/{primaryStorageUuid}/capacities

/zstack/v1/primary-storage/local-storage/{primaryStorageUuid}/capacities

操作 ID

GetLocalStorageHostDiskCapacity

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/primary-storage/local-storage/{primaryStorageUuid}/capacities?hostUuid=<hostUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "hostUuid": "02b36a53204d496290c4f2f8b31a7575", "totalCapacity": 1.073741824E9, "availableCapacity": 9.73078528E8, "totalPhysicalCapacity": 1.073741824E9, "availablePhysicalCapacity": 9.73078528E8 } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史